Results 1 to 3 of 3

Thread: Can't install the One Drive Client in Ubuntu

  1. #1
    Join Date
    Sep 2019
    Beans
    1

    Question Can't install the One Drive Client in Ubuntu

    I am trying to syncronize OneDrive in Ubuntu throw the following codes and i am receiving the error message bellow when i type the command "make":
    Code:
    git clone https://github.com/skilion/onedrive.git
    cd onedrive
    make
    sudo make install
    Error message:
    Code:
    dmd -g -ofonedrive -O -L-lcurl -L-lsqlite3 -L-ldl -J. src/config.d src/itemdb.d src/log.d src/main.d src/monitor.d src/onedrive.d src/qxor.d src/selective.d src/sqlite.d src/sync.d src/upload.d src/util.d
    make: dmd: Command not found
    make: *** [Makefile:29: onedrive] Error 127
    How can i correct this?
    Last edited by deadflowr; September 12th, 2019 at 08:20 PM. Reason: cleaned up; added code tags

  2. #2
    Join Date
    Jul 2007
    Location
    Magic City of the Plains
    Beans
    Hidden!
    Distro
    Xubuntu 19.04 Disco Dingo

    Re: Can't install the One Drive Client in Ubuntu

    Did you install dmd?

  3. #3
    Join Date
    Oct 2010
    Location
    Sweden
    Beans
    830
    Distro
    Ubuntu

    Re: Can't install the One Drive Client in Ubuntu

    For what it is worth in the past I spent a lot of time trying to get the various incarnations of the OneDrive script from github to work.
    On occasion things would work well for a few days and then files would be skipped and the syncing was simply not reliable.
    In the end I gave up trying to sync OneDrive with my Linux machine.
    Thank you,
    GG -----------

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •